- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
tile
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Move and Reorder array content

Tile the input array along specified dimensions. More...

## Functions
AFAPI array | tile (const array &in, const unsigned x, const unsigned y=1, const unsigned z=1, const unsigned w=1)
AFAPI array | tile (const array &in, const dim4 &dims)
AFAPI af_err | af_tile (af_array *out, const af_array in, const unsigned x, const unsigned y, const unsigned z, const unsigned w)

## Detailed Description

Tile the input array along specified dimensions.

Creates copys of the array a specified number of times within the output array

## Function Documentation

AFAPI af_err af_tile | ( | af_array * | out,
|  | const af_array | in,
|  | const unsigned | x,
|  | const unsigned | y,
|  | const unsigned | z,
|  | const unsigned | w
| ) |  |

Parameters

  [out] | out | is the generated array
  [in] | in | is the input matrix
  [in] | x | is the number of times `in` is tiled along first dimension
  [in] | y | is the number of times `in` is tiled along second dimension
  [in] | z | is the number of times `in` is tiled along third dimension
  [in] | w | is the number of times `in` is tiled along fourth dimension

AFAPI array af::tile | ( | const array & | in,
|  | const unsigned | x,
|  | const unsigned | y = `1`,
|  | const unsigned | z = `1`,
|  | const unsigned | w = `1`
| ) |  |

Parameters

  [in] | in | is the input array
  [in] | x | is the number of times `in` is tiled along first dimension
  [in] | y | is the number of times `in` is tiled along second dimension
  [in] | z | is the number of times `in` is tiled along third dimension
  [in] | w | is the number of times `in` is tiled along fourth dimension

Returns
  the tiled output

Examples:
  bagging.cpp, black_scholes_options.cpp, conway_pretty.cpp, deep_belief_net.cpp, filters.cpp, fractal.cpp, image_editing.cpp, kmeans.cpp, knn.cpp, matching.cpp, naive_bayes.cpp, rbm.cpp, and vectorize.cpp.

AFAPI array af::tile | ( | const array & | in,
|  | const dim4 & | dims
| ) |  |

Parameters

  [in] | in | is the input array
  [in] | dims | dim4 of tile dimensions

Returns
  the tiled output